Tapioca en Ubuntu Feisty

Ultimamente he necesitado mucho comunicarme via voz con gente que tengo en los contactos de Gtalk, y al no tener esa posibilidad, google is my homeboy!

Mirando por ahi, me encontre con Tapioca, un proyecto sobre el que habia leído en el planeta gnome hace mucho tiempo.

tapioca

Tapioca esta basado en Telepathy, libreria que, es parte del proyecto Free Desktop, y que es desarrollada por la comunidad GNOME y la empresa inglesa Collabora (nuevo auspiciador de la GUADEC de este año).

Ahora, a lo importante, como correr Tapioca en Ubuntu Feisty.


Primero que todo, agregar esta linea a /etc/apt/sources.list

deb http://extindt01.indt.org/VoIP/apt/ testing main

Luego hacer un:

$apt-get update

Para instalar,

$apt-get install tapiocaui0.3 farsight0.1-rtp gstreamer0.10-plugins-farsight libfarsight0.1-1 farsight0.1-plugins-rtp libfarsight0.1-0 tapioca0.3-sip

El primer problema que tuve fue al lanzar tapioca:

$ tapiocaui
tapiocaui: error while loading shared libraries:
libdbus-1.so.2: cannot open shared object file: No such file or directory

No encuentra la libreria D-Bus.

Solucion:

$locate libdbus-1.so
/usr/lib/libdbus-1.so.3.2.0
/usr/lib/libdbus-1.so.3

Y, luego que ya sabemos donde esta la librería, creamos un enlace simbolico hacia la original:

$ln -s libdbus-1.so.2 -> /usr/lib/libdbus-1.so.3.2.0

Eso, y ahora, puedes correr Tapioca sin ningun problema, y usar Gtalk, con soporte VoIP en Linux 😀

Ahora bien, vas a poder correr tapioca, pero, por un curioso azar de la libreria de tapioca, al intentar una comunicacion con otro cliente, el programa se muere, osea, no funciona.

Por ahora no tengo la solución. Apenas este lista, lo escribire acá 🙂

4 Comments

  1. Ya, que ya va! 😛

    Perdona Xoxe, por el retraso, es que escribi el post a la rápida. De hecho, tengo que agregarle mas dependencias a la lista para que Tapioca ande mas o menos decente con XMMP en Feisty.

  2. Tengo un problemita en el ultimo paso (uso kubuntu 7.04)
    ignacio@ignacio-laptop:~$ ln -s libdbus-1.so.2 -> /usr/lib/libdbus-1.so.3.2.0
    bash: /usr/lib/libdbus-1.so.3.2.0: Permiso denegado
    trate con sudo pero tambien me dice permiso denegado
    sudo ln -s libdbus-1.so.2 -> /usr/lib/libdbus-1.so.3.2.0
    bash: /usr/lib/libdbus-1.so.3.2.0: Permiso denegado
    MUCHAS GRACIAS

Leave a Reply

Your email address will not be published. Required fields are marked *